Get Algorithms
curl --request POST \
--url https://{host}/Agent/Crypto/GetAlgorithms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{host}/Agent/Crypto/GetAlgorithms"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{host}/Agent/Crypto/GetAlgorithms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Algorithms": [
{
"localName": "<string>",
"namespace": "<string>",
"securityStrength": 123,
"safe": true,
"slow": true,
"pqc": true,
"score": 123
}
]
}Crypto
Get Algorithms
Allows the client to retrieve a list of available cryptographic algorithms on the server.
POST
/
Agent
/
Crypto
/
GetAlgorithms
Get Algorithms
Overview
Allows the client to retrieve a list of available cryptographic algorithms on the server. These algorithms can be used to create keys. These keys are necessary in order to apply for legal identities, which are then used to sign smart contracts.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.⌘I